Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
pip install ansible log
Downloading/unpacking ansible
Running setup.py egg_info for package ansible
DATA FILES=[('/usr/share/ansible/', ['./library/add_host', './library/apt', './library/apt_key', './library/apt_repository', './library/assemble', './library/async_status', './library/async_wrapper', './library/authorized_key', './library/bzr', './library/cloudformation', './library/command', './library/copy', './library/cron', './library/debug', './library/django_manage', './library/easy_install', './library/ec2', './library/ec2_facts', './library/ec2_vol', './library/facter', './library/fail', './library/fetch', './library/file', './library/fireball', './library/gem', './library/get_url', './library/git', './library/group', './library/group_by', './library/hg', './library/homebrew', './library/ini_file', './library/lineinfile', './library/lvg', './library/lvol', './library/macports', './library/mail', './library/mongodb_user', './library/mount', './library/mysql_db', './library/mysql_user', './library/nagios', './library/netscaler', './library/ohai', './library/openbsd_pkg', './library/opkg', './library/pacman', './library/pause', './library/ping', './library/pip', './library/pkgin', './library/postgresql_db', './library/postgresql_user', './library/rabbitmq_parameter', './library/rabbitmq_plugin', './library/rabbitmq_user', './library/rabbitmq_vhost', './library/raw', './library/rhn_channel', './library/s3', './library/script', './library/seboolean', './library/selinux', './library/service', './library/setup', './library/shell', './library/slurp', './library/subversion', './library/supervisorctl', './library/svr4pkg', './library/sysctl', './library/template', './library/uri', './library/user', './library/vagrant', './library/virt', './library/wait_for', './library/yum', './library/zfs'])]
running egg_info
writing requirements to pip-egg-info/ansible.egg-info/requires.txt
writing pip-egg-info/ansible.egg-info/PKG-INFO
writing top-level names to pip-egg-info/ansible.egg-info/top_level.txt
writing dependency_links to pip-egg-info/ansible.egg-info/dependency_links.txt
warning: manifest_maker: standard file '-c' not found
reading manifest file 'pip-egg-info/ansible.egg-info/SOURCES.txt'
writing manifest file 'pip-egg-info/ansible.egg-info/SOURCES.txt'
Source in /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/ansible has version 1.1, which satisfies requirement ansible
Downloading/unpacking paramiko (from ansible)
Running setup.py egg_info for package paramiko
running egg_info
writing requirements to pip-egg-info/paramiko.egg-info/requires.txt
writing pip-egg-info/paramiko.egg-info/PKG-INFO
writing top-level names to pip-egg-info/paramiko.egg-info/top_level.txt
writing dependency_links to pip-egg-info/paramiko.egg-info/dependency_links.txt
warning: manifest_maker: standard file '-c' not found
reading manifest file 'pip-egg-info/paramiko.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'pip-egg-info/paramiko.egg-info/SOURCES.txt'
Source in /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/paramiko has version 1.10.1, which satisfies requirement paramiko (from ansible)
Downloading/unpacking jinja2 (from ansible)
Running setup.py egg_info for package jinja2
running egg_info
writing requirements to pip-egg-info/Jinja2.egg-info/requires.txt
writing pip-egg-info/Jinja2.egg-info/PKG-INFO
writing top-level names to pip-egg-info/Jinja2.egg-info/top_level.txt
writing dependency_links to pip-egg-info/Jinja2.egg-info/dependency_links.txt
writing entry points to pip-egg-info/Jinja2.egg-info/entry_points.txt
warning: manifest_maker: standard file '-c' not found
reading manifest file 'pip-egg-info/Jinja2.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no previously-included files matching '*' found under directory 'docs/_build'
warning: no previously-included files matching '*.pyc' found under directory 'jinja2'
warning: no previously-included files matching '*.pyc' found under directory 'docs'
warning: no previously-included files matching '*.pyo' found under directory 'jinja2'
warning: no previously-included files matching '*.pyo' found under directory 'docs'
writing manifest file 'pip-egg-info/Jinja2.egg-info/SOURCES.txt'
Source in /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/jinja2 has version 2.6, which satisfies requirement jinja2 (from ansible)
skipping extra i18n
Downloading/unpacking PyYAML (from ansible)
Running setup.py egg_info for package PyYAML
running egg_info
writing pip-egg-info/PyYAML.egg-info/PKG-INFO
writing top-level names to pip-egg-info/PyYAML.egg-info/top_level.txt
writing dependency_links to pip-egg-info/PyYAML.egg-info/dependency_links.txt
warning: manifest_maker: standard file '-c' not found
reading manifest file 'pip-egg-info/PyYAML.egg-info/SOURCES.txt'
writing manifest file 'pip-egg-info/PyYAML.egg-info/SOURCES.txt'
Source in /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/PyYAML has version 3.10, which satisfies requirement PyYAML (from ansible)
Downloading/unpacking pycrypto>=2.1,!=2.4 (from paramiko->ansible)
Running setup.py egg_info for package pycrypto
running egg_info
writing pip-egg-info/pycrypto.egg-info/PKG-INFO
writing top-level names to pip-egg-info/pycrypto.egg-info/top_level.txt
writing dependency_links to pip-egg-info/pycrypto.egg-info/dependency_links.txt
warning: manifest_maker: standard file '-c' not found
reading manifest file 'pip-egg-info/pycrypto.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'pip-egg-info/pycrypto.egg-info/SOURCES.txt'
Source in /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/pycrypto has version 2.6, which satisfies requirement pycrypto>=2.1,!=2.4 (from paramiko->ansible)
Installing collected packages: ansible, paramiko, jinja2, PyYAML, pycrypto
Running setup.py install for ansible
Running command /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python -c "import setuptools;__file__='/var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/ansible/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-BLxHFp-record/install-record.txt --single-version-externally-managed
DATA FILES=[('/usr/share/ansible/', ['./library/add_host', './library/apt', './library/apt_key', './library/apt_repository', './library/assemble', './library/async_status', './library/async_wrapper', './library/authorized_key', './library/bzr', './library/cloudformation', './library/command', './library/copy', './library/cron', './library/debug', './library/django_manage', './library/easy_install', './library/ec2', './library/ec2_facts', './library/ec2_vol', './library/facter', './library/fail', './library/fetch', './library/file', './library/fireball', './library/gem', './library/get_url', './library/git', './library/group', './library/group_by', './library/hg', './library/homebrew', './library/ini_file', './library/lineinfile', './library/lvg', './library/lvol', './library/macports', './library/mail', './library/mongodb_user', './library/mount', './library/mysql_db', './library/mysql_user', './library/nagios', './library/netscaler', './library/ohai', './library/openbsd_pkg', './library/opkg', './library/pacman', './library/pause', './library/ping', './library/pip', './library/pkgin', './library/postgresql_db', './library/postgresql_user', './library/rabbitmq_parameter', './library/rabbitmq_plugin', './library/rabbitmq_user', './library/rabbitmq_vhost', './library/raw', './library/rhn_channel', './library/s3', './library/script', './library/seboolean', './library/selinux', './library/service', './library/setup', './library/shell', './library/slurp', './library/subversion', './library/supervisorctl', './library/svr4pkg', './library/sysctl', './library/template', './library/uri', './library/user', './library/vagrant', './library/virt', './library/wait_for', './library/yum', './library/zfs'])]
running install
running build
running build_py
running build_scripts
running install_lib
running install_data
creating /usr/share/ansible
error: could not create '/usr/share/ansible': Permission denied
Complete output from command /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python -c "import setuptools;__file__='/var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/ansible/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-BLxHFp-record/install-record.txt --single-version-externally-managed:
DATA FILES=[('/usr/share/ansible/', ['./library/add_host', './library/apt', './library/apt_key', './library/apt_repository', './library/assemble', './library/async_status', './library/async_wrapper', './library/authorized_key', './library/bzr', './library/cloudformation', './library/command', './library/copy', './library/cron', './library/debug', './library/django_manage', './library/easy_install', './library/ec2', './library/ec2_facts', './library/ec2_vol', './library/facter', './library/fail', './library/fetch', './library/file', './library/fireball', './library/gem', './library/get_url', './library/git', './library/group', './library/group_by', './library/hg', './library/homebrew', './library/ini_file', './library/lineinfile', './library/lvg', './library/lvol', './library/macports', './library/mail', './library/mongodb_user', './library/mount', './library/mysql_db', './library/mysql_user', './library/nagios', './library/netscaler', './library/ohai', './library/openbsd_pkg', './library/opkg', './library/pacman', './library/pause', './library/ping', './library/pip', './library/pkgin', './library/postgresql_db', './library/postgresql_user', './library/rabbitmq_parameter', './library/rabbitmq_plugin', './library/rabbitmq_user', './library/rabbitmq_vhost', './library/raw', './library/rhn_channel', './library/s3', './library/script', './library/seboolean', './library/selinux', './library/service', './library/setup', './library/shell', './library/slurp', './library/subversion', './library/supervisorctl', './library/svr4pkg', './library/sysctl', './library/template', './library/uri', './library/user', './library/vagrant', './library/virt', './library/wait_for', './library/yum', './library/zfs'])]
running install
running build
running build_py
running build_scripts
running install_lib
running install_data
creating /usr/share/ansible
error: could not create '/usr/share/ansible': Permission denied
----------------------------------------
Command /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python -c "import setuptools;__file__='/var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/ansible/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-BLxHFp-record/install-record.txt --single-version-externally-managed failed with error code 1 in /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/ansible
Exception information:
Traceback (most recent call last):
File "/usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.2.1-py2.7.egg/pip/basecommand.py", line 107, in main
status = self.run(options, args)
File "/usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.2.1-py2.7.egg/pip/commands/install.py", line 261, in run
requirement_set.install(install_options, global_options)
File "/usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.2.1-py2.7.egg/pip/req.py", line 1166, in install
requirement.install(install_options, global_options)
File "/usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.2.1-py2.7.egg/pip/req.py", line 589, in install
cwd=self.source_dir, filter_stdout=self._filter_install, show_stdout=False)
File "/usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.2.1-py2.7.egg/pip/util.py", line 612, in call_subprocess
% (command_desc, proc.returncode, cwd))
InstallationError: Command /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python -c "import setuptools;__file__='/var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/ansible/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-BLxHFp-record/install-record.txt --single-version-externally-managed failed with error code 1 in /var/folders/x9/btn7gzqx1k17pbbrg3nmj4kh0000gn/T/pip-build/ansible
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment